Cant start project after update to 1.3.0-rc.1

UI Components for React
Post Reply
numankayali
Posts: 5
Joined: 08 Dec 2016, 09:29

09 Dec 2017, 11:44

Hi there! I had a working project with 1.0.0-beta.4. When i updated to 1.3.0-rc.1 i have started getting

./node_modules/primereact/components/growl/Growl.js
Module not found: Can't resolve 'react-addons-css-transition-group' in '/home/numan/workspaces/kisisel/xxx-ui/node_modules/primereact/components/growl

so, do i need to add some dependencies to my project? i suppose should change something in your codes.


my json is:

{
"name": "xxx-ui",
"version": "0.1.0",
"private": true,
"devDependencies": {
"react-scripts": "^1.0.11"
},
"dependencies": {
"classnames": "^2.2.5",
"font-awesome": "^4.7.0",
"i18n-react": "^0.6.2",
"jwt-decode": "^2.2.0",
"primereact": "^1.3.0-rc.1",
"prop-types": "^15.5.10",
"react": "^16.2.0",
"react-dom": "^16.2.0",
"react-helmet": "^5.2.0",
"react-router-dom": "^4.2.2"
},
"scripts": {
"start": "react-scripts start",
"build": "react-scripts build",
"test": "react-scripts test --env=jsdom",
"eject": "react-scripts eject"
}
}


thanks for your support!

merve7
Posts: 98
Joined: 12 Sep 2017, 10:44

20 Dec 2017, 10:49

Yes you need to add react-addons-css-transition-group for animations. Also you can read dependencies title in http://primefaces.org/primereact/#/setup

kaho29
Posts: 14
Joined: 18 Aug 2017, 10:57

20 Dec 2017, 15:55

We could do this, but you are aware, that exactly this dependency does not support react 16 till now and prevents us from using it?

merve7
Posts: 98
Joined: 12 Sep 2017, 10:44

21 Dec 2017, 09:11

We are migrating to react-transition-group.

User avatar
optimus.prime
Prime
Posts: 17718
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

22 Dec 2017, 09:29

Migrating complete for 1.3.1

Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest